<?php
  if(!$msql = mysql_connect($mysql['host'],$mysql['user'],$mysql['pass']))
  {
    die("<b>Fehler beim Zugriff auf die Datenbank!");
  }
  if(!mysql_select_db($mysql['base'],$msql))
  {
    die("<b>Die angegebene Datenbank existiert nicht!");
  }
  
	mysql_query("SET NAMES 'utf8'");
	mysql_query("SET CHARACTER SET 'utf8'");
  function qry($db)
  {  
    if(!$qry = mysql_query($db)) die('<b>MySQL-Query failed:</b><br><br>'.
                                     '<li><b>ErrorNo</b> = '.mysql_errno().
                                     '<li><b>Error</b> = '.mysql_error().'<li><b>Query</b> = '.$db);
    return $qry;
  }

##################
# MYSQL FUNCTION
##################
//->Funktion anzeige Zeilenanzahl
  function rows($rows)
  {
    return @mysql_num_rows($rows);
  }
//->Funktion normaler Query -> Assoziatives Array  
  function fetch($fetch)
  {
    return mysql_fetch_array($fetch, MYSQL_ASSOC);
  }
//-> Funktion um diverse Dinge aus Tabellen auszaehlen zu lassen
  function cnt($count, $where = "", $id = "id")
  {
    $cnt = fetch(qry("SELECT COUNT(".$id.") AS num FROM ".$count." ".$where));
    return $cnt['num'];
  }
//-> Funktion um diverse Dinge aus Tabellen zusammenzaehlen zu lassen
	function sum($db, $what, $where = "")
	{
   	$cnt = qry("SELECT SUM(".$what.") AS num
     	          FROM ".$db.$where);
   	$cnt = fetch($cnt);
  	 return intval($cnt['num']);
	}


?>